POST Agents/User/GetUserFromPersonId
Some tooltip text!
• 7 minutes to read
• 7 minutes to read
POST /api/v1/Agents/User/GetUserFromPersonId
Returns the user associated with the supplied person id
NsApiSlow threshold: 2000 ms.
Online Restricted: ## The User agent is not available in Online by default. User management is not allowed for partner apps.
Query String Parameters
| Parameter Name | Type | Description |
|---|---|---|
| $select | string | Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields. |
POST /api/v1/Agents/User/GetUserFromPersonId?$select=name,department,category/id
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Content-Type | Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Request Body: request
PersonId
| Property Name | Type | Description |
|---|---|---|
| PersonId | Integer |
Response:array
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: array
| Property Name | Type | Description |
|---|---|---|
| AssociateId | int32 | Primary key |
| Name | string | Initials, UserId - also used as login name for on-site installations. Identifies user in archives. |
| Rank | int32 | Rank order |
| Tooltip | string | Tooltip or other description |
| LicenseOwners | array | The restricted and unrestricted module licenses grouped by license owner. These module licenses are either assigned or unassigned to this user |
| Role | Role | Users role for role-based security. Determines permissions and access rights for the user. |
| UserGroup | UserGroup | The main user group that this user belongs to. Use MDO List name "usergroup" to get list items. |
| OtherGroups | array | The other groups this user is a member of, apart from the main user group. Use MDO List name "usergroup" to get list items. |
| Person | Person | The person associated with this user. Detailed information about the user Use MDO List name "person_new" to get list items. |
| Deleted | bool | If true, the user is retired and should have no rights, not appear in lists, etc. |
| Lastlogin | date-time | Last login date |
| Lastlogout | date-time | Last logout date |
| EjUserId | int32 | ID of the ej user record corresponding to this associate; 0 for associates that are not ej users |
| RequestSignature | string | ej users request signature |
| Type | string | User type: 1=InternalAssociate, 2=ResourceAssociate, 3=ExternalAssociate, 4=AnonymousAssociate, 5=SystemAssociate |
| IsPersonRetired | bool | True if the user is retired and should have no rights, not appear in lists, etc. |
| IsOnTravel | bool | True if the user is on travel. |
| Credentials | array | List of credentials registered for this user. i.e. valid authentication methods. |
| UserName | string | User name, a.k.a. Login name. This might be an e-mail address. |
| TicketCategories | array | Request Ticket Categories assigned to the user. Use MDO List name "ejCategory" to get list items. |
| NickName | string | The unique nick name for this user. Used in Service as an alias, similar to Name/Initials. |
| WaitingForApproval | bool | The user is waiting for an administrator to approve/grant her/him access. |
| ExtraFields | object | Deprecated: Use {SuperOffice.CRM.Services.User.CustomFields} instead. Extra fields added to the carrier. This could be data from Plug-ins, the foreign key system, external applications, etc. |
| CustomFields | object | Udef + Extra fields added to the carrier. Extra fields as defined by changes to database schema + user-defined fields as defined by admin. Custom fields combines user defined fields and extra fields into one bucket. The individual {SuperOffice.CRM.Services.User.ExtraFields} and UserDefinedFields properties are deprecated in favor of this combined collection. |
| PostSaveCommands | array | Post custom commands the client should execute after save has completed. |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
Sample request
POST /api/v1/Agents/User/GetUserFromPersonId
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: sv
Content-Type: application/json; charset=utf-8
{
"PersonId": 810
}
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
[
{
"AssociateId": 16,
"Name": "Sarah Johnson",
"Rank": 2,
"Tooltip": "Support Agent - Tech Corporation",
"LicenseOwners": [
{
"Name": "Christiansen LLC",
"Description": "Seamless 5th generation toolset",
"RestrictedModuleLicenses": [
{},
{}
],
"UnrestrictedModuleLicenses": [
{},
{}
],
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 777
}
}
},
{
"Name": "Christiansen LLC",
"Description": "Seamless 5th generation toolset",
"RestrictedModuleLicenses": [
{},
{}
],
"UnrestrictedModuleLicenses": [
{},
{}
],
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 777
}
}
}
],
"Role": null,
"UserGroup": null,
"OtherGroups": [
{
"Value": "rerum",
"Tooltip": "veniam",
"Id": 894,
"Rank": 577,
"Deleted": false,
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 932
}
}
}
],
"Person": null,
"Deleted": false,
"Lastlogin": "2024-11-20T09:15:00+01:00",
"Lastlogout": "2024-11-19T17:30:00+01:00",
"EjUserId": 16,
"RequestSignature": "SJ-2024",
"Type": "InternalAssociate",
"IsPersonRetired": false,
"IsOnTravel": false,
"Credentials": [
{
"Type": null,
"Value": "sarah.johnson",
"DisplayValue": "SuperOffice Password",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 824
}
}
},
{
"Type": null,
"Value": "nihil",
"DisplayValue": "quisquam",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 824
}
}
}
],
"UserName": "Wisoky Inc and Sons",
"TicketCategories": [
{
"Id": 298,
"Name": "Bechtelar-Simonis",
"ToolTip": "Itaque officia illo nulla est iste.",
"Deleted": true,
"Rank": 235,
"Type": "laborum",
"ChildItems": [
{},
{}
],
"IconHint": "nulla",
"ColorBlock": 967,
"ExtraInfo": "veritatis",
"StyleHint": "aliquid",
"FullName": "Mrs. Tressie Schneider",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 399
}
}
}
],
"NickName": "Kovacek Inc and Sons",
"WaitingForApproval": false,
"ExtraFields": {
"ExtraFields1": "in",
"ExtraFields2": "odit"
},
"CustomFields": {
"CustomFields1": "quo",
"CustomFields2": "quos"
},
"PostSaveCommands": [
{
"Name": "O'Reilly-Doyle",
"DisplayName": "Okuneva LLC",
"Description": "Synchronised attitude-oriented application",
"ToolTip": "Quae tempore ipsum.",
"Actions": "Implicit",
"ActionData": "debitis",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 115
}
}
}
],
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 467
}
}
}
]